aegis -Review_PASS(1)

NAME
aegis -Review_PASS - pass a change review

SYNOPSIS
aegis -Review_PASS [ option... ]
aegis -Review_PASS -List [ option... ]
aegis -Review_PASS -Help

DESCRIPTION
The aegis -Review_PASS command is used to notify aegis that a change has passed review.

The default configuration requires only a single reviewer for each change set. It is possible to have more than one reviewer, and/or project specific policies about who may review certain files, by configuring Aegis to use an external review policy command.

The state transition performed depends on the settings of the review_policy_command field of the project configuration file and the develop_end_action field of the project attributes.

review_policy_command not set:
    The change will be advanced from the being reviewed state to the awaiting integration state.

review_policy_command set:
    The command will be executed, and the exit status examined.

    Zero:
        The change will be advanced from the being reviewed state to the awaiting integration state.

    Non-Zero:
        The setting of the develop_end_action of the project attributes is examined:

        goto_awaiting_review:
            The change will be advanced from the being reviewed state to the awaiting integration state.

        Otherwise:
            The change will remain in the being reviewed state. It is expected that a future review_policy_command execution will satisfy the project criteria and exit zero.

It is possible to avoid the being reviewed state altogether by setting the develop_end_action field of the project confituration file to goto_awaiting_integration.

If the project configuration file has specified the presence of Signed-off-by: lines, a suitable line containing the current user's email address will be appended to the change description.

If you use one of the -File, -Edit or -Reason options to add comments, the file is to be in plain text, and it is recommended that you only use a newline to terminate paragraphs (rather than to terminate lines) as this will result in better formatting in the various listings.

  Notification
On successful completion of this command, the review_pass_notify_command field of the project attributes is run, if set. See aepattr(5) and aepa(1) for more information.

OPTIONS
The following options are understood:

-Change number
    This option may be used to specify a particular change within a project. See aegis(1) for a complete description of this option.

-Edit
    Edit the attributes with a text editor, this is usually more convenient than supplying a text file. The VISUAL and then EDITOR environment variables are consulted for the name of the editor to use; defaults to vi(1) if neither is set. See the visual_command and editor_command fields in aeuconf(1) for how to override this specifically for Aegis.

    Warning: Aegis tries to be well behaved when faced with errors, so the temporary file is left in your home directory where you can edit it further and re-use it with a -file option.

    The -edit option may not be used in the background, or when the standard input is not a terminal.

-Edit_BackGround
    Edit the attributes with a dumb text editor, this is most often desired when edit commands are being piped into the editor via the standard input. Only the EDITOR environment variable is consulted for the name of the editor to use; it is a fatal error if it is not set. See the editor_command field in aeuconf(1) for how to override this specifically for Aegis.

-File filename
    Take the attributes from the specified file. The filename `-' is understood to mean the standard input.

-Help
    This option may be used to obtain more information about how to use the aegis program.

-List
    This option may be used to obtain a list of suitable subjects for this command. The list may be more general than expected.

-Project name
    This option may be used to select the project of interest. When no -Project option is specified, the AEGIS_PROJECT environment variable is consulted. If that does not exist, the user's $HOME/.aegisrc file is examined for a default project field (see aeuconf(5) for more information). If that does not exist, when the user is only working on changes within a single project, the project name defaults to that project. Otherwise, it is an error.

-REAson text
    This option may be used to attach a comment to the change history generated by this command. You will need to use quotes to insulate the spaces from the shell.

-Signed_Off_By
    This option may be used to have a Signed-off-by: line appended to the change set description.

-No_Signed_Off_By
    This option may be used to prevent a Signed-off-by: line from being appended to the change set description.

-TERse
    This option may be used to cause listings to produce the bare minimum of information. It is usually useful for shell scripts.

-Verbose
    This option may be used to cause aegis to produce more output. By default aegis only produces output on errors. When used with the -List option this option causes column headings to be added.

-Wait
    This option may be used to require Aegis commands to wait for access locks, if they cannot be obtained immediately. Defaults to the user's lock_wait_preference if not specified, see aeuconf(5) for more information.

-No_Wait
    This option may be used to require Aegis commands to emit a fatal error if access locks cannot be obtained immediately. Defaults to the user's lock_wait_preference if not specified, see aeuconf(5) for more information.

All options may be abbreviated; the abbreviation is documented as the upper case letters, all lower case letters and underscores (_) are optional. You must use consecutive sequences of optional letters.

All options are case insensitive, you may type them in upper case or lower case or a combination of both, case is not important.

For example: the arguments "-project, "-PROJ" and "-p" are all interpreted to mean the -Project option. The argument "-prj" will not be understood, because consecutive optional characters were not supplied.

Options and other command line arguments may be mixed arbitrarily on the command line, after the function selectors.

The GNU long option names are understood. Since all option names for aegis are long, this means ignoring the extra leading '-'. The "--option=value" convention is also understood.

RECOMMENDED ALIAS
The recommended alias for this command is
csh%	alias aerpass 'aegis -rpass \!* -v'
sh$	aerpass(){aegis -rpass "$@" -v}

ERRORS
It is an error if the change is not in the being reviewed state.
It is an error if the current user is not a reviewer of the project.
Its is an error if the current user developed the change and the project is configured to disallow developers to review their own changes (default).

EXIT STATUS
The aegis command will exit with a status of 1 on any error. The aegis command will only exit with a status of 0 if there are no errors.

ENVIRONMENT VARIABLES
See aegis(1) for a list of environment variables which may affect this command. See aepconf(5) for the project configuration file's project_specific field for how to set environment variables for all commands executed by Aegis.

SEE ALSO

aecd(1)
    change directory

aede(1)
    complete development of a change

aedeu(1)
    recall a change for further development

aeib(1)
    begin integrating a change

aenrv(1)
    add a reviewer to a project

aerfail(1)
    fail review of a change

aerpu(1)
    rescind a change review pass

aepconf(5)
    project configuration file format

aeuconf(5)
    user configuration file format

COPYRIGHT
aegis version 4.24.2.D001
Copyright (C) 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 20 Peter Miller

The aegis program comes with ABSOLUTELY NO WARRANTY; for details use the 'aegis -VERSion License' command. This is free software and you are welcome to redistribute it under certain conditions; for details use the 'aegis -VERSion License' command.

AUTHOR
Peter Miller | E-Mail: | millerp@canb.auug.org.au
/\/\* | WWW: | http://www.canb.auug.org.au/~millerp/